# originater

Associate seamounts with nearest hotspot point sources

## Synopsis

gmt originater [ table ] -E rot_file|ID1-ID2|lon/lat/angle[+i] -F hs_file[+d] [ -D d_km ] [ -L[l|t|w| L|T|W] ] [ -N upper_age ] [ -Q r/t ] [ -S[n_hs] ] [ -T ] [ -V[level] ] [ -W maxdist ] [ -Z ] [ -bi binary ] [ -di nodata[+c col] ] [ -e regexp ] [ -h headers ] [ -i flags ] [ -q flags ] [ -s flags ] [ -:[i|o] ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

originater reads (longitude, latitude, height, radius, crustal_age) records from table [or standard input] and uses the given Absolute Plate Motion (APM) stage or total reconstruction rotation file and the list of hotspot locations to determine the most likely origin (hotspot) for each seamount. It does so by calculating flowlines back in time and determining the closest approach to all hotspots [Wessel, 1999]. The output consists of the input records with four additional fields added for each of the n_hs closest hotspots. The four fields are the hotspot id (e.g., HWI), the stage id of the flowline segment that came closest, the pseudo-age of the seamount, and the closest distance to the hotspot (in km). See option -: on how to read (latitude, longitude,height, radius, crustal_age) files.

## Required Arguments

table

  One or more ASCII (or binary, see -bi[ncols][type]) data table file(s) holding a number of data columns. If no tables are given then we read from standard input.

-E rot_file|ID1-ID2|lon/lat/angle[+i]

  Rotations can be specified in one of three ways:

  - Give file with rotation parameters. This file must contain one record for each rotation; each record must be of the following format:

    lon lat tstart [tstop] angle [ khat a b c d e f g df ]

    where tstart and tstop are in Myr and lon lat angle are in degrees. tstart and tstop are the ages of the old and young ends of a stage. If tstop is not present in the record then a total reconstruction rotation is expected and tstop is implicitly set to 0 and should not be specified for any of the records in the file. If a covariance matrix C for the rotation is available it must be specified in a format using the nine optional terms listed in brackets. Here, C = (g/khat)*[ a b d; b c e; d e f ] which shows C made up of three row vectors. If the degrees of freedom (df) in fitting the rotation is 0 or not given it is set to 10000. Blank lines and records whose first column contains # will be ignored.

  - Give the filename composed of two plate IDs separated by a hyphen (e.g., PAC-MBL) and we will instead extract that rotation from the GPlates rotation database. We return an error if the rotation cannot be found.

  - Specify lon/lat/angle, i.e., the longitude, latitude, and opening angle (all in degrees and separated by /) for a single total reconstruction rotation. Regardless of method, you may append +i to the argument to indicate you wish to invert the rotation(s).

-F hs_file[+d]

  Give file with hotspot locations. This file must contain one record for each hotspot to be considered; each record must be of the following format:

  lon lat hs_abbrev hs_id r t_off t_on create fit plot name

  E.g., for Hawaii this may look like

  205 20 HWI 1 25 0 90 Y Y Y Hawaii

  Most applications only need the first 4 columns which thus represents the minimal hotspot information record type. The abbreviation may be maximum 3 characters long. The id must be an integer from 1-32. The positional uncertainty of the hotspot is given by r (in km). The t_off and t_on variables are used to indicate the active time-span of the hotspot. The create, fit, and plot indicators are either Y or N and are used by some programs to indicate if the hotspot is included in the ID-grids used to determine rotations, if the hotspot chain will be used to determine rotations, and if the hotspot should be included in various plots. The name is a 32-character maximum text string with the full hotspot name. Blank lines and records whose first column contains # will be ignored. Append +d if we should look for hotspot drift table whose name must be hs_abbrev_drift.txt. Such files may be located in the current directory, the same directory as hs_file, or in the directories pointed to by GMT_DATADIR. If found then we interpolate to get hotspot location as a function of time [fixed].

## Optional Arguments

-D d_km

  Sets the flowline sampling interval in km. [Default is 5].

-L[l|t|w| L|T|W]

  Output closest approach for nearest hotspot only (ignores -S). Choose -Lt for (time, dist, z) [Default], -Lw for (omega, dist, z), and -Ll for (lon, lat, time, dist, z). Normally, dist is in km; use upper case modifiers TWL to get dist in spherical degrees.

-N upper_age

  Set the maximum age to extend the oldest stage back in time [no extension].

-Q r/t

  Input files only has (x,y,z); specify constant values for r,t that will be implied for each record.

-S[n_hs]

  Set the number of closest hotspots to report [Default is 1].

-T

  Truncate seamount ages exceeding the upper age set with -N [no truncation].

-V[level]

  Select verbosity level [w]. (See full description) (See cookbook information).

-W maxdist

  Only report those seamounts whose flowlines came within maxdist to any hotspot [Default reports all seamounts].

-Z

  Use the hotspot ID number rather than the name tag in output records.

-bi record[+b|l] (more …)

  Select native binary format for primary table input. [Default is 5 input columns].

-di nodata[+c col] (more …)

  Replace input columns that equal nodata with NaN.

-e[~]“pattern” | -e[~]/regexp/[i] (more …)

  Only accept data records that match the given pattern.

-h[i|o][n][+c][+d][+m segheader][+r remark][+t title] (more …)

  Skip or produce header record(s).

-i cols[+l][+d divisor][+s scale|d|k][+o offset][,…][,t[word]] (more …)

  Select input columns and transformations (0 is first column, t is trailing text, append word to read one word only).

-q[i|o][~]rows|limits[+c col][+a|t|s] (more …)

  Select input or output rows or data limit(s) [all].

-s[cols][+a][+r] (more …)

  Set handling of NaN records for output.

-:[i|o] (more …)

  Swap 1st and 2nd column on input and/or output.

-^ or just -

  Print a short message about the syntax of the command, then exit (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Geodetic versus Geocentric Coordinates

All spherical rotations are applied to geocentric coordinates. This means that incoming data points and grids are considered to represent geodetic coordinates and must first be converted to geocentric coordinates. Rotations are then applied, and the final reconstructed points are converted back to geodetic coordinates. This default behavior can be bypassed if the ellipsoid setting PROJ_ELLIPSOID is changed to Sphere.

## Examples

To find the likely (hotspot) origins of the seamounts represented by the (x, y, z, r, tc) points in the file seamounts.txt, using the DC85.txt Euler poles and the pac_hs.txt list of possible hotspots, and report the 2 most likely hotspot candidates for each seamount, run

    gmt originater seamounts.txt -S2 -EDC85.txt -Fpac_hs.txt > origins.txt

To determine the predicted age of a seamount, distances to the closest hotspot, and echo the observed age given its location, observed age, and a rotation model, try

    echo "1.55 -8.43 52.3" | gmt originater -FONeill_2005_hotspots.txt \
    -EOMS2005_APM_fixed.txt -Q1/120 -Lt

where 52.3 Ma is observed age. The output is 70 -95.486 52.3. To repeat the same exercise with a moving hotspot model, try

    echo "1.55 -8.43 52.3" | gmt originater -FONeill_2005_hotspots.txt+d \
    -EOMS2005_APM_smooth.txt -Q1/120 -Lt

Now the output is 80 -213.135 52.3. Negative distances means the closest approach was east of the hotspot.

## Notes

GMT distributes the EarthByte rotation model Global_EarthByte_230-0Ma_GK07_AREPS.rot. To use an alternate rotation file, create an environmental parameters named GPLATES_ROTATIONS that points to an alternate rotation file.

## See Also

gmt, grdrotater, grdspotter, project, mapproject, backtracker, gmtpmodeler, grdpmodeler, grdrotater, hotspotter

## References

Wessel, P., 1999, “Hotspotting” tools released, EOS Trans. AGU, 80 (29), p. 319.